## khard 0.14.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = khard
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## khard 0.11.3

=== debian/changelog ===
khard (0.11.3-1) unstable; urgency=medium

  * Initial release. (Closes: #846468)
  * add initial debian rules file
  * add debian compat file
  * add debian source/format file
  * add initial debian control file
  * add debian copyright file
  * add build dependencies
  * edit debian description
  * add patch: debianize README.md
  * add debian/khard.examples
  * add debian/docs
  * update debian/khard.examples
  * update debian/docs
  * add debian/khard.lintian-overrides

 -- Félix Sipma <felix+debian@gueux.org>  Fri, 02 Dec 2016 00:17:29 +0100

=== debian/control ===
Source: khard
Maintainer: Félix Sipma <felix+debian@gueux.org>
Priority: extra
Section: utils
Build-Depends: debhelper (>= 10),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-atomicwrites,
 python3-configobj,
 python3-yaml,
 python3-vobject
Standards-Version: 3.9.8
Homepage: https://github.com/scheibler/khard
Vcs-Git: https://git.gueux.org/khard.git
Vcs-Browser: https://git.gueux.org/?p=khard.git;a=summary

Package: khard
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${python3:Depends}
Description: address book for the Linux console
 Khard is an address book for the Linux console. It creates, reads, modifies
 and removes carddav address book entries at your local machine. Khard is also
 compatible to the email clients mutt and alot and the SIP client twinkle.

## khard 0.11.4

=== debian/changelog ===
khard (0.11.4-1) experimental; urgency=medium

  * add gbp.conf
  * New upstream version 0.11.4
  * update changelog
  * copy zsh completion file (Closes: #856486)

 -- Félix Sipma <felix+debian@gueux.org>  Wed, 01 Mar 2017 16:18:58 +0100

## khard 0.12.2

=== debian/changelog ===
khard (0.12.2-4) unstable; urgency=medium

  * fix typo: python3-distutils as dependency, not as B-D
  * bump Standards-Version to 4.2.0 (no change required)

 -- Félix Sipma <felix+debian@gueux.org>  Thu, 09 Aug 2018 18:17:01 +0200

khard (0.12.2-3) unstable; urgency=medium

  * add python3-distutils to dependencies (Closes: #905701)

 -- Félix Sipma <felix+debian@gueux.org>  Wed, 08 Aug 2018 11:50:00 +0200

khard (0.12.2-2) unstable; urgency=medium

  * bump compat to 11
  * move packaging repo to salsa

 -- Félix Sipma <felix+debian@gueux.org>  Wed, 07 Mar 2018 11:46:37 +0100

khard (0.12.2-1) unstable; urgency=medium

  * New upstream version 0.12.2

 -- Félix Sipma <felix+debian@gueux.org>  Wed, 24 Jan 2018 12:23:43 +0100

khard (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
  * bump Standards-Version to 4.1.3 (no change required)
  * depend on python3-ruamel.yaml instead of python3-yaml (upstream change)
  * update patch debianize-README.md

 -- Félix Sipma <felix+debian@gueux.org>  Thu, 18 Jan 2018 12:16:28 +0100

khard (0.11.4-2) unstable; urgency=medium

  * suggests installing vdirsyncer (Closes: #875675)
  * bump standard version to 4.0.1
    - use https for copyright-format URL
    - priority: use optional, instead of deprecated extra
  * bump standard version to 4.1.1 (no change required)

 -- Félix Sipma <felix+debian@gueux.org>  Fri, 13 Oct 2017 12:41:24 +0200

=== debian/control ===
Source: khard
Maintainer: Félix Sipma <felix+debian@gueux.org>
Priority: optional
Section: utils
Build-Depends: debhelper (>= 11),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-atomicwrites,
 python3-configobj,
 python3-ruamel.yaml,
 python3-vobject
Standards-Version: 4.2.0
Homepage: https://github.com/scheibler/khard
Vcs-Git: https://salsa.debian.org/felix-guest/khard.git
Vcs-Browser: https://salsa.debian.org/felix-guest/khard

Package: khard
Architecture: any
Section: misc
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-distutils
Suggests: vdirsyncer
Description: address book for the Linux console
 Khard is an address book for the Linux console. It creates, reads, modifies
 and removes carddav address book entries at your local machine. Khard is also
 compatible to the email clients mutt and alot and the SIP client twinkle.
 .
 One might want to install vdirsyncer to synchronize local address books with a
 carddav server.

## khard 0.13.0

=== debian/changelog ===
khard (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * add python3-unidecode dependency
  * bump Standards-Version to 4.3.0 (no change required)
  * rebase patch

 -- Félix Sipma <felix+debian@gueux.org>  Wed, 26 Dec 2018 22:12:43 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
  python3-atomicwrites,
  python3-configobj,
  python3-ruamel.yaml,
+ python3-unidecode,
  python3-vobject
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: https://github.com/scheibler/khard
 Vcs-Git: https://salsa.debian.org/felix-guest/khard.git
 Vcs-Browser: https://salsa.debian.org/felix-guest/khard

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/khard-$1\.tar\.gz/ \
  https://github.com/scheibler/khard/tags .*/v?(\d\S*)\.tar\.gz

## khard 0.14.0

=== debian/changelog ===
khard (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0
  * rebase debianize-README.md patch
  * bump Standards-Version (no change required)
  * set Architecture=all instead of any
  * use debhelper-compat instead of compat file
  * generate doc & manpage (Closes: #855655)

 -- Félix Sipma <felix+debian@gueux.org>  Sun, 28 Jul 2019 14:21:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,28 @@
 Maintainer: Félix Sipma <felix+debian@gueux.org>
 Priority: optional
 Section: utils
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-setuptools,
  python3-atomicwrites,
  python3-configobj,
  python3-ruamel.yaml,
+ python3-sphinx,
  python3-unidecode,
  python3-vobject
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/scheibler/khard
 Vcs-Git: https://salsa.debian.org/felix-guest/khard.git
 Vcs-Browser: https://salsa.debian.org/felix-guest/khard
 
 Package: khard
-Architecture: any
+Architecture: all
 Section: misc
 Depends: ${misc:Depends},
  ${python3:Depends},
  python3-distutils
-Suggests: vdirsyncer
+Suggests: vdirsyncer, libjs-jquery, libjs-underscore
 Description: address book for the Linux console
  Khard is an address book for the Linux console. It creates, reads, modifies
  and removes carddav address book entries at your local machine. Khard is also

=== debian/rules ===
#!/usr/bin/make -f

# generate doc & manpage
override_dh_auto_build:
	cd doc && \
	make html && \
	make text && \
	make man
	dh_auto_build

%:
	dh $@ --with python3 --buildsystem=pybuild

## khard 0.15.1

=== doc/Makefile ===
--- 
+++ 
@@ -7,14 +7,18 @@
 SPHINXPROJ    = khard
 SOURCEDIR     = source
 BUILDDIR      = build
+SPHINXAPIDOC  = sphinx-apidoc
 
 # Put it first so that "make" without argument is like "make help".
 help:
 	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
 
-.PHONY: help Makefile
+.PHONY: help Makefile generate-api-docs
 
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
-%: Makefile
+%: Makefile generate-api-docs
 	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
+
+generate-api-docs:
+	@$(SPHINXAPIDOC) -e -M -o "$(SOURCEDIR)/api/" ../khard

=== debian/changelog ===
khard (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1
  * README.rst changed back to README.md
  * rebase patches, remove reproducible patch (applied upstream)

 -- Félix Sipma <felix+debian@gueux.org>  Sat, 23 Nov 2019 20:00:25 +0100

khard (0.15.0-3) unstable; urgency=medium

  * add patch to make build reproducible (Closes: #943471).
    Thanks, Chris Lamb.
  * fix bug in use-debian-paths-in-doc.patch (khard.conf file not included in
    doc)
  * add python3-pygments to build dependencies (required to build doc)

 -- Félix Sipma <felix+debian@gueux.org>  Thu, 31 Oct 2019 18:53:17 +0100

khard (0.15.0-2) unstable; urgency=medium

  * add khard.conf manpage

 -- Félix Sipma <felix+debian@gueux.org>  Fri, 25 Oct 2019 00:47:04 +0200

khard (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0
  * rebase and improve patches.
    - remove travis & repology buttons
    - fix more paths in doc
  * add patch to add khard/data/ dir to MANIFEST.in
  * install _email-khard zsh completion file
  * add python3-setuptools-scm to build dependencies
  * install README.rst in docs, instead of README.md
  * bump Standards-Version to 4.4.1

 -- Félix Sipma <felix+debian@gueux.org>  Fri, 25 Oct 2019 00:05:06 +0200

khard (0.14.0-2) unstable; urgency=medium

  * add a patch to manpage for example config path

 -- Félix Sipma <felix+debian@gueux.org>  Sun, 28 Jul 2019 21:49:08 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
  dh-python,
  python3-all,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-atomicwrites,
  python3-configobj,
+ python3-pygments,
  python3-ruamel.yaml,
  python3-sphinx,
  python3-unidecode,
  python3-vobject
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/scheibler/khard
 Vcs-Git: https://salsa.debian.org/felix-guest/khard.git
 Vcs-Browser: https://salsa.debian.org/felix-guest/khard

## khard 0.17.0

=== debian/changelog ===
khard (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0
  * Build-Depends on sphinx-common and add links to js libs for doc
  * update patches

 -- Félix Sipma <felix+debian@gueux.org>  Thu, 13 Aug 2020 10:28:56 +0200

khard (0.16.1-2) unstable; urgency=medium

  * fix PAPT address

 -- Félix Sipma <felix+debian@gueux.org>  Thu, 23 Apr 2020 19:03:13 +0200

khard (0.16.1-1) unstable; urgency=medium

  * New upstream version 0.16.1 (Closes: #942416)
  * move the package to Debian Python Team
  * update B-D, add:
    - python3-sphinx-autodoc-typehints
    - python3-sphinx-autoapi
    - python3-astroids
  * docs: remove AUTHORS file
  * khard.examples: remove misc/khard
  * khard.doc-base: update index path
  * update patches
  * bump Standards-Version to 4.5.0

 -- Félix Sipma <felix+debian@gueux.org>  Thu, 23 Apr 2020 10:05:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: khard
-Maintainer: Félix Sipma <felix+debian@gueux.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Félix Sipma <felix+debian@gueux.org>
 Priority: optional
 Section: utils
 Build-Depends: debhelper-compat (= 12),
@@ -7,17 +8,21 @@
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
+ python3-astroid,
  python3-atomicwrites,
  python3-configobj,
  python3-pygments,
  python3-ruamel.yaml,
  python3-sphinx,
+ python3-sphinx-autoapi,
+ python3-sphinx-autodoc-typehints,
  python3-unidecode,
- python3-vobject
-Standards-Version: 4.4.1
+ python3-vobject,
+ sphinx-common
+Standards-Version: 4.5.0
 Homepage: https://github.com/scheibler/khard
-Vcs-Git: https://salsa.debian.org/felix-guest/khard.git
-Vcs-Browser: https://salsa.debian.org/felix-guest/khard
+Vcs-Git: https://salsa.debian.org/python-team/applications/khard.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/khard
 
 Package: khard
 Architecture: all

## khard 0.18.0

=== debian/changelog ===
khard (0.18.0-1) unstable; urgency=medium

  * New upstream version 0.18.0
  * rebase patch

 -- Félix Sipma <felix@debian.org>  Mon, 19 Dec 2022 16:03:04 +0100

khard (0.17.0-3) unstable; urgency=medium

  * remove dh-exec (not needed)
  * update my email address
  * suggests sphinx-doc instead of libjs-jquery, libjs-underscore
    (Closes: #988744)

 -- Félix Sipma <felix@debian.org>  Sun, 28 Nov 2021 11:10:39 +0100

khard (0.17.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 00:27:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: khard
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Félix Sipma <felix+debian@gueux.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Félix Sipma <felix@debian.org>
 Priority: optional
 Section: utils
 Build-Depends: debhelper-compat (= 12),
@@ -21,8 +21,8 @@
  sphinx-common
 Standards-Version: 4.5.0
 Homepage: https://github.com/scheibler/khard
-Vcs-Git: https://salsa.debian.org/python-team/applications/khard.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/khard
+Vcs-Git: https://salsa.debian.org/python-team/packages/khard.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/khard
 
 Package: khard
 Architecture: all
@@ -30,7 +30,7 @@
 Depends: ${misc:Depends},
  ${python3:Depends},
  python3-distutils
-Suggests: vdirsyncer, libjs-jquery, libjs-underscore
+Suggests: vdirsyncer, sphinx-doc
 Description: address book for the Linux console
  Khard is an address book for the Linux console. It creates, reads, modifies
  and removes carddav address book entries at your local machine. Khard is also

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,10 @@
 	make man
 	dh_auto_build
 
+# needed to make the build reproducible
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f khard/version.py
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## khard 0.19.1

=== debian/changelog ===
khard (0.19.1-5) unstable; urgency=medium

  * Team upload.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Mon, 29 Jul 2024 16:30:44 +0100

khard (0.19.1-4) unstable; urgency=medium

  * Team upload.
  * Avoid circular imports (closes: #1069838).

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Jun 2024 11:47:52 +0100

khard (0.19.1-3) unstable; urgency=medium

  * Team upload.
  * Remove unused python3-distutils dependency (closes: #1065887).
  * Standards-Version: 4.7.0 (no changes required).

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Jun 2024 09:20:33 +0100

khard (0.19.1-2) unstable; urgency=medium

  * No change rebuild (Closes: #1060997)

 -- Félix Sipma <felix@debian.org>  Fri, 16 Feb 2024 09:59:14 +0100

khard (0.19.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Félix Sipma ]
  * add dh-sequence-sphinxdoc to B-D
  * add clean file (Closes: #1045915)
  * New upstream version 0.19.1
  * rebase patches

 -- Félix Sipma <felix@debian.org>  Sat, 02 Dec 2023 15:01:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Uploaders: Félix Sipma <felix@debian.org>
 Priority: optional
 Section: utils
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
+ dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
@@ -19,7 +21,7 @@
  python3-unidecode,
  python3-vobject,
  sphinx-common
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/scheibler/khard
 Vcs-Git: https://salsa.debian.org/python-team/packages/khard.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/khard
@@ -29,8 +31,8 @@
 Section: misc
 Depends: ${misc:Depends},
  ${python3:Depends},
- python3-distutils
-Suggests: vdirsyncer, sphinx-doc
+ ${sphinxdoc:Depends},
+Suggests: vdirsyncer
 Description: address book for the Linux console
  Khard is an address book for the Linux console. It creates, reads, modifies
  and removes carddav address book entries at your local machine. Khard is also

=== debian/rules ===
#!/usr/bin/make -f

# generate doc & manpage
execute_after_dh_auto_build:
	cd doc && \
	make html && \
	make text && \
	make man

# needed to make the build reproducible
execute_after_dh_auto_clean:
	rm -f khard/version.py

%:
	dh $@ --with python3 --buildsystem=pybuild

## khard 0.20.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = khard
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# These files are always up to date.
Makefile:;

=== debian/changelog ===
khard (0.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Enable autopkgtest-pkg-pybuild.
  * Use dh-sequence-python3.
  * Standards-Version: 4.7.2.
  * Update upstream repository location in packaging metadata.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Oct 2025 12:15:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,27 +4,27 @@
 Priority: optional
 Section: utils
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  dh-sequence-sphinxdoc,
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
  python3-astroid,
- python3-atomicwrites,
  python3-configobj,
  python3-pygments,
  python3-ruamel.yaml,
  python3-sphinx,
+ python3-sphinx-argparse,
  python3-sphinx-autoapi,
  python3-sphinx-autodoc-typehints,
- python3-unidecode,
  python3-vobject,
  sphinx-common
-Standards-Version: 4.7.0
-Homepage: https://github.com/scheibler/khard
+Standards-Version: 4.7.2
+Homepage: https://github.com/lucc/khard
 Vcs-Git: https://salsa.debian.org/python-team/packages/khard.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/khard
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: khard
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+ifeq ($(PYBUILD_AUTOPKGTEST),1)
+export PYBUILD_BEFORE_TEST := mkdir -p {build_dir}/khard/data && cp -a {dir}/khard/data/config.spec {build_dir}/khard/data/
+export PYBUILD_AFTER_TEST := rm -rf {build_dir}/khard/data
+endif
 
 # generate doc & manpage
 execute_after_dh_auto_build:
@@ -12,4 +17,4 @@
 	rm -f khard/version.py
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/khard-$1\.tar\.gz/ \
  https://github.com/lucc/khard/tags .*/v?(\d\S*)\.tar\.gz

## khard 0.20.1

=== debian/changelog ===
khard (0.20.1-1) unstable; urgency=medium

  * New upstream version 0.20.1
  * Remove py314-argparse.patch (applied upstream)
  * Update watch file to version 5

 -- Félix Sipma <felix@debian.org>  Thu, 08 Jan 2026 20:58:37 +0100

khard (0.20.0-2) unstable; urgency=medium

  * Team upload.
  * Handle argparse changes in Python 3.14 (closes: #1123143).

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Dec 2025 20:29:59 +0000

=== debian/watch ===
Version: 5

Template: Github
Dist: https://github.com/lucc/khard
